import { Observable } from "rxjs";
import { Injectable } from "@angular/core";
import { HttpHeaders } from "@angular/common/http";
import { RequestItem } from "../../query/request-item";
import { BaseCriteria } from "../../query/base-criteria";
import { BaseHttpService } from "../http/base-http.service";
import { environment } from '../../../../environments/environment';
import { ProjectCriteria } from "../../query/project/project-criteria";

@Injectable()
export class ProjectService {
	private actionUrl: string;
	private headers: HttpHeaders;

	constructor(private http: BaseHttpService) {
		this.actionUrl = environment.Server + 'projects/';
	}

	getWithExternal(requestItem: RequestItem<ProjectCriteria>): Observable<any[]> {
		return this.http.post<any[]>(this.actionUrl + 'external', requestItem, { headers: this.headers });
		// return this.http.post<ProjectListingModel[]>(this.actionUrl + 'external', requestItem, { headers: this.headers });
	}
}
