import { Injectable } from '@angular/core';
import { takeUntil } from 'rxjs/operators';
import { BaseService } from '../../core/common/base/base.service';
import { LanguageService } from '../language/language.service';

@Injectable()
export class LanguageResolverService extends BaseService {

	private languageData = {};

	constructor(private language: LanguageService) {
		super();
		if (Object.keys(this.languageData).length === 0) {
			this.language.getLang()
				.pipe(takeUntil(this._destroyed))
				.subscribe(result => {
					result.forEach(item => {
						this.languageData[item.key] = item.languageKey;
					});
				});
		}
	}

	public getBy(key: string): string {
		return this.languageData[key];
	}
}
