import { NgModule } from '@angular/core';
import { CommonFormsModule } from '../../../common/forms/common-forms.module';
import { CommonUiModule } from '../../../common/ui/common-ui.module';
import { FormattingModule } from '../../../core/formatting.module';
import { DatasetProfileRoutingModule } from './dataset-profile.routing';
import { DatasetProfileEditorDefaultValueComponent } from './editor/components/composite-profile-editor-default-value/component-profile-editor-default-value.component';
import { DatasetProfileEditorCompositeFieldComponent } from './editor/components/composite-field/dataset-profile-editor-composite-field.component';
import { DatasetProfileEditorAutoCompleteFieldComponent } from './editor/components/field-type/auto-complete/dataset-profile-editor-auto-complete-field.component';
import { DatasetProfileEditorBooleanDecisionFieldComponent } from './editor/components/field-type/boolean-decision/dataset-profile-editor-boolean-decision-field.component';
import { DatasetProfileEditorCheckboxFieldComponent } from './editor/components/field-type/checkbox/dataset-profile-editor-checkbox-field.component';
import { DatasetProfileEditorComboBoxFieldComponent } from './editor/components/field-type/combo-box/dataset-profile-editor-combo-box-field.component';
import { DatasetProfileEditorFreeTextFieldComponent } from './editor/components/field-type/free-text/dataset-profile-editor-free-text-field.component';
import { DatasetProfileEditorRadioBoxFieldComponent } from './editor/components/field-type/radio-box/dataset-profile-editor-radio-box-field.component';
import { DatasetProfileEditorTextAreaFieldComponent } from './editor/components/field-type/textarea/dataset-profile-editor-text-area-field.component';
import { DatasetProfileEditorWordListFieldComponent } from './editor/components/field-type/word-list/dataset-profile-editor-word-list-field.component';
import { DatasetProfileEditorFieldComponent } from './editor/components/field/dataset-profile-editor-field.component';
import { DatasetProfileEditorPageComponent } from './editor/components/page/dataset-profile-editor-page.component';
import { DatasetProfileEditorRuleComponent } from './editor/components/rule/dataset-profile-editor-rule.component';
import { DatasetProfileEditorSectionComponent } from './editor/components/section/dataset-profile-editor-section.component';
import { DatasetProfileEditorComponent } from './editor/dataset-profile-editor.component';
import { DatasetProfileCriteriaComponent } from './listing/criteria/dataset-profile.component';
import { DatasetProfileListingComponent } from './listing/dataset-profile-listing.component';
import { ConfirmationDialogModule } from '../../../library/confirmation-dialog/confirmation-dialog.module';
import { DatasetProfileEditorDatePickerFieldComponent } from './editor/components/field-type/datepicker/dataset-profile-editor-date-picker-field.component';
import { DialodConfirmationUploadDatasetProfiles } from './listing/criteria/dialog-confirmation-upload-profile/dialog-confirmation-upload-profiles.component';
import { DatasetProfileEditorInternalDmpEntitiesFieldComponent } from './editor/components/field-type/internal-dmp-entities/dataset-profile-editor-internal-dmp-entities-field.component';
import { DatasetProfileEditorResearchersAutoCompleteFieldComponent } from './editor/components/field-type/researchers-auto-complete/dataset-profile-editor-researchers-auto-complete-field.component';
import { DatasetProfileEditorDatasetsAutoCompleteFieldComponent } from './editor/components/field-type/datasets-auto-complete/dataset-profile-editor-datasets-autocomplete-field.component';
import { DatasetProfileEditorDmpsAutoCompleteFieldComponent } from './editor/components/field-type/dmps-auto-complete/dataset-profile-editor-dmps-autocomplete-field.component';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		FormattingModule,
		DatasetProfileRoutingModule,
		ConfirmationDialogModule,
	],
	declarations: [
		DatasetProfileListingComponent,
		DatasetProfileCriteriaComponent,
		DatasetProfileEditorComponent,
		DatasetProfileEditorSectionComponent,
		DatasetProfileEditorCompositeFieldComponent,
		DatasetProfileEditorFieldComponent,
		DatasetProfileEditorPageComponent,
		DatasetProfileEditorRuleComponent,
		DatasetProfileEditorAutoCompleteFieldComponent,
		DatasetProfileEditorBooleanDecisionFieldComponent,
		DatasetProfileEditorCheckboxFieldComponent,
		DatasetProfileEditorComboBoxFieldComponent,
		DatasetProfileEditorFreeTextFieldComponent,
		DatasetProfileEditorRadioBoxFieldComponent,
		DatasetProfileEditorTextAreaFieldComponent,
		DatasetProfileEditorDatePickerFieldComponent,
		DatasetProfileEditorWordListFieldComponent,
		DatasetProfileEditorDefaultValueComponent,
		DialodConfirmationUploadDatasetProfiles,
		DatasetProfileEditorInternalDmpEntitiesFieldComponent,
		DatasetProfileEditorResearchersAutoCompleteFieldComponent,
		DatasetProfileEditorDatasetsAutoCompleteFieldComponent,
		DatasetProfileEditorDmpsAutoCompleteFieldComponent
	],
	entryComponents: [
		DialodConfirmationUploadDatasetProfiles
	]
})
export class DatasetProfileModule { }

