import { NgModule } from '@angular/core';
import { CommonFormsModule } from '../../common/forms/common-forms.module';
import { CommonUiModule } from '../../common/ui/common-ui.module';
import { FormattingModule } from '../../core/formatting.module';
import { AutoCompleteModule } from '../../library/auto-complete/auto-complete.module';
import { ConfirmationDialogModule } from '../../library/confirmation-dialog/confirmation-dialog.module';
import { UrlListingModule } from '../../library/url-listing/url-listing.module';
import { DatasetDescriptionFormModule } from '../misc/dataset-description-form/dataset-description-form.module';
import { OuickWizardModule } from '../quick-wizard/quick-wizard.module';
import { QuickWizardRoutingModule } from '../quick-wizard/quick-wizard.rooting';
import { DatasetCreateWizard } from './dataset-create-wizard.component';
import { DatasetCreateWizardRoutingModule } from './dataset-create-wizard.routing';
import { DatasetDmpSelector } from './dmp-selector/dataset-dmp-selector.component';


@NgModule({
	imports: [
		DatasetCreateWizardRoutingModule,
		CommonUiModule,
		CommonFormsModule,
		AutoCompleteModule,
		FormattingModule,
		UrlListingModule,
		ConfirmationDialogModule,
		QuickWizardRoutingModule,
		DatasetDescriptionFormModule,
		OuickWizardModule,

	],
	declarations: [
		DatasetCreateWizard,
		DatasetDmpSelector,
	],
	entryComponents: [
	]
})
export class DatasetCreateWizardModule { }
