import { NgModule } from '@angular/core';
import { CommonFormsModule } from '../../common/forms/common-forms.module';
import { CommonUiModule } from '../../common/ui/common-ui.module';
import { AutoCompleteModule } from '../../library/auto-complete/auto-complete.module';
import { ConfirmationDialogModule } from '../../library/confirmation-dialog/confirmation-dialog.module';
import { UrlListingModule } from '../../library/url-listing/url-listing.module';
import { DatasetDescriptionFormModule } from '../misc/dataset-description-form/dataset-description-form.module';
import { ExternalSourcesModule } from '../misc/external-sources/external-sources.module';
import { DatasetEditorComponent } from './dataset-wizard/dataset-editor/dataset-editor.component';
import { DatasetWizardComponent } from './dataset-wizard/dataset-wizard.component';
import { DatasetExternalReferencesEditorComponent } from './dataset-wizard/external-references/dataset-external-references-editor.component';
import { DatasetExternalDataRepositoryDialogEditorComponent } from './dataset-wizard/external-references/editors/data-repository/dataset-external-data-repository-dialog-editor.component';
import { DatasetExternalDatasetDialogEditorComponent } from './dataset-wizard/external-references/editors/external-dataset/dataset-external-dataset-dialog-editor.component';
import { DatasetExternalRegistryDialogEditorComponent } from './dataset-wizard/external-references/editors/registry/dataset-external-registry-dialog-editor.component';
import { DatasetExternalServiceDialogEditorComponent } from './dataset-wizard/external-references/editors/service/dataset-external-service-dialog-editor.component';
import { DatasetRoutingModule } from './dataset.routing';
import { DatasetCriteriaComponent } from './listing/criteria/dataset-criteria.component';
import { DatasetListingComponent } from './listing/dataset-listing.component';
import { DatasetCopyDialogueComponent } from './dataset-wizard/dataset-copy-dialogue/dataset-copy-dialogue.component';
import { DatasetUploadDialogue } from './listing/criteria/dataset-upload-dialogue/dataset-upload-dialogue.component';
import { DatasetListingItemComponent } from './listing/listing-item/dataset-listing-item.component';
import { ExportMethodDialogModule } from '../../library/export-method-dialog/export-method-dialog.module';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		UrlListingModule,
		ConfirmationDialogModule,
		AutoCompleteModule,
		ExternalSourcesModule,
		ExportMethodDialogModule,
		DatasetDescriptionFormModule,
		DatasetRoutingModule
	],
	declarations: [
		DatasetListingComponent,
		DatasetCriteriaComponent,
		DatasetWizardComponent,
		DatasetEditorComponent,
		DatasetExternalReferencesEditorComponent,
		DatasetExternalDataRepositoryDialogEditorComponent,
		DatasetExternalDatasetDialogEditorComponent,
		DatasetExternalRegistryDialogEditorComponent,
		DatasetExternalServiceDialogEditorComponent,
		DatasetCopyDialogueComponent,
		DatasetUploadDialogue,
		DatasetListingItemComponent
	],
	entryComponents: [
		DatasetExternalDataRepositoryDialogEditorComponent,
		DatasetExternalDatasetDialogEditorComponent,
		DatasetExternalRegistryDialogEditorComponent,
		DatasetExternalServiceDialogEditorComponent,
		DatasetCopyDialogueComponent,
		DatasetUploadDialogue
	]
})
export class DatasetModule { }
