import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { DmpEditorComponent } from './editor/dmp-editor.component';
import { InvitationAcceptedComponent } from './invitation/accepted/dmp-invitation-accepted.component';
import { DmpListingComponent } from './listing/dmp-listing.component';
import { DmpWizardComponent } from './wizard/dmp-wizard.component';
import { DmpOverviewComponent } from './overview/dmp-overview.component';

const routes: Routes = [
	{
		path: '',
		component: DmpListingComponent,
		data: {
			breadcrumb: true
		},
	},
	{
		path: 'versions/:groupId',
		component: DmpListingComponent,
		data: {
			breadcrumb: true
		},
	},
	{
		path: 'grant/:grantId',
		component: DmpListingComponent,
		data: {
			breadcrumb: true
		},
	},
	{
		path: 'edit/:id',
		component: DmpEditorComponent,
		data: {
			breadcrumb: true
		},
	},
	{
		path: 'publicEdit/:publicId',
		component: DmpEditorComponent,
		data: {
			breadcrumb: true
		},
	},
	{
		path: 'overview/:id',
		component: DmpOverviewComponent,
		data: {
			breadcrumb: true
		},
	},
	{
		path: 'new/grant/:grantId',
		component: DmpEditorComponent,
		data: {
			breadcrumbs: 'new'
		}
	},
	{
		path: 'new',
		component: DmpEditorComponent,
		data: {
			breadcrumbs: 'new'
		}
	},
	{
		path: 'new_version/:id',
		component: DmpWizardComponent,
		data: {
			clone: false,
			breadcrumb: true
		},
	},
	{
		path: 'clone/:id',
		component: DmpWizardComponent,
		data: {
			clone: false,
			breadcrumb: true
		},
	},
	{
		path: 'invitation/:id',
		component: InvitationAcceptedComponent,
		data: {
			breadcrumb: true
		},
	}
];

@NgModule({
	imports: [RouterModule.forChild(routes)],
	exports: [RouterModule]
})
export class DmpRoutingModule { }
