import { FormBuilder, FormGroup } from '@angular/forms';
import { ResearcherModel } from '../../../../core/model/researcher/researcher';

export class ResearcherEditorModel {
	public id: String;
	public name: String;
	public lastName: String;
	public uri: String;
	public email: String;

	fromModel(item: ResearcherModel): ResearcherEditorModel {
		this.id = item.id;
		this.name = item.name;
		this.email = item.email;
		this.uri = item.uri;

		return this;
	}

	buildForm(): FormGroup {
		const formGroup = new FormBuilder().group({
			firstName: [this.name],
			lastName: [this.lastName]
		});

		return formGroup;
	}

}
