import { NgModule } from '@angular/core';
import { CommonFormsModule } from '../../common/forms/common-forms.module';
import { CommonUiModule } from '../../common/ui/common-ui.module';
import { ConfirmationDialogModule } from '../../library/confirmation-dialog/confirmation-dialog.module';
import { UrlListingModule } from '../../library/url-listing/url-listing.module';
import { GrantEditorComponent } from './editor/grant-editor.component';
import { GrantCriteriaComponent } from './listing/criteria/grant-criteria.component';
import { GrantListingItemComponent } from './listing/listing-item/grant-listing-item.component';
import { GrantListingComponent } from './listing/grant-listing.component';
import { GrantRoutingModule } from './grant.routing';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		UrlListingModule,
		ConfirmationDialogModule,
		GrantRoutingModule
	],
	declarations: [
		GrantListingComponent,
		GrantCriteriaComponent,
		GrantEditorComponent,
		GrantListingItemComponent
	]
})
export class GrantModule { }
