import { NgModule } from '@angular/core';
import { CommonFormsModule } from '../../../common/forms/common-forms.module';
import { CommonUiModule } from '../../../common/ui/common-ui.module';
import { AutoCompleteModule } from '../../../library/auto-complete/auto-complete.module';
import { FormCompositeFieldComponent } from './components/form-composite-field/form-composite-field.component';
import { FormFieldComponent } from './components/form-field/form-field.component';
import { FormProgressIndicationComponent } from './components/form-progress-indication/form-progress-indication.component';
import { FormSectionComponent } from './components/form-section/form-section.component';
import { DatasetDescriptionFormComponent } from './dataset-description-form.component';
import { FormFocusService } from './form-focus/form-focus.service';
import { VisibilityRulesService } from './visibility-rules/visibility-rules.service';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		AutoCompleteModule
	],
	declarations: [
		DatasetDescriptionFormComponent,
		FormProgressIndicationComponent,
		FormSectionComponent,
		FormCompositeFieldComponent,
		FormFieldComponent
	],
	exports: [
		DatasetDescriptionFormComponent
	],
	providers: [
		VisibilityRulesService,
		FormFocusService
	]
})
export class DatasetDescriptionFormModule { }

