import { NgModule } from '@angular/core';
import { CommonFormsModule } from '../../common/forms/common-forms.module';
import { CommonUiModule } from '../../common/ui/common-ui.module';
import { ConfirmationDialogModule } from '../../library/confirmation-dialog/confirmation-dialog.module';
import { UrlListingModule } from '../../library/url-listing/url-listing.module';
import { QuickWizardRoutingModule } from './quick-wizard.rooting';
import { GrantEditorWizardComponent } from './grant-editor/grant-editor-wizard.component';
import { DmpEditorWizardComponent } from './dmp-editor/dmp-editor-wizard.component';
import { QuickWizardEditorComponent } from './quick-wizard-editor/quick-wizard-editor.component';
import { AutoCompleteModule } from '../../library/auto-complete/auto-complete.module';
import { DatasetEditorWizardComponent } from './dataset-editor/dataset-editor-wizard.component';
import { DatasetDescriptionFormModule } from '../misc/dataset-description-form/dataset-description-form.module';
import { DmpModule } from '../dmp/dmp.module';


@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		UrlListingModule,
		AutoCompleteModule,
		ConfirmationDialogModule,
		QuickWizardRoutingModule,
		DatasetDescriptionFormModule,
		DmpModule
	],
	declarations: [
		GrantEditorWizardComponent,
		DmpEditorWizardComponent,
		QuickWizardEditorComponent,
		DatasetEditorWizardComponent,
	],
	exports: [
		DatasetEditorWizardComponent,
	]
})
export class OuickWizardModule { }
